Spring
action Spring

# change_assaults_configuration

Change Assaults configuration on a specific service

Run it now
View details

Type | action
Module | chaosspring.actions
Name | change_assaults_configuration
Return | string

Usage

JSON

    {
      "name": "change-assaults-configuration",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosspring.actions",
        "func": "change_assaults_configuration",
        "arguments": {
          "base_url": "",
          "assaults_configuration": {}
        }
      }
    }

YAML

    name: change-assaults-configuration
    provider:
      arguments:
        assaults_configuration: {}
        base_url: ""
      func: change_assaults_configuration
      module: chaosspring.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
base_url | string |  | Yes | Base URL | URL of the Chaos Monkery service
headers | mapping | null | No | Headers | Headers to pass to the call
timeout | number | null | No | Timeout | Call must suceeed within this timeout period
assaults_configuration | mapping |  | Yes | Configuration | Assaults configuration

Signature

    def change_assaults_configuration(
            base_url: str,
            assaults_configuration: Dict[str, Any],
            headers: Dict[str, Any] = None,
            timeout: float = None,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> str:
        pass

## Related starters

- Spring
  probe Spring

  ## `chaosmonkey_enabled`

  Enquire whether Chaos Monkey is enabled on the specified service
- Spring
  action Spring

  ## `disable_chaosmonkey`

  Disable Chaos Monkey on a specific service
- Spring
  action Spring

  ## `enable_chaosmonkey`

  Enable Chaos Monkey on a specific service